# Starting with Neural Networks

In Supervisely you can do much more than just labeling, and of the most important features of the platforms in our unique ecosystem for machine learning, that unifies the best models, AI tools for analysis and model improvement, plus numerous applications built on top.

Apart from many other platforms, Supervisely is built like an OS for Computer Vision. Because of that, we made possible integration of the best machine learning models and tools on our platform. Instead of trying to put various models inside a black box, the [Ecosystem](https://ecosystem.supervisely.com/) of the best models and tools integrated as Supervisely Apps.

{% hint style="info" %}
A good start for understanding how Neural Networks work in Supervisely would be [Part 4 of our video course “Computer Vision with Supervisely”](https://supervisely.com/what-is-supervisely/#37)
{% endhint %}

{% embed url="<https://www.youtube.com/watch?v=1Z_0-kC6u9s&list=PLDo7qx2mEhsofZt0WgH968FuTM2bsnvUb&ab_channel=Supervisely>" %}

Supervisely integrates fragmented state-of-the-art deep learning technologies from GitHub repositories into a user-friendly graphical interface, making them easily accessible for daily tasks.

Supervisely Apps - these are essentially forks of popular GitHub repositories, allowing users to run and interact with them via a graphical interface, overcoming fragmentation and usability issues by integrating and adding a GUI to these repositories.

The installation of a Supervisely agent on a user's machine allows GPU resources to be utilized for training and inference, providing a seamless experience of running and managing neural networks directly from a web browser.

Supervisely addresses two main issues with GitHub repositories - fragmentation (lack of connection to other CV tools) and usability bias (difficulty for less skilled users) by integrating repositories into its ecosystem and adding GUIs.

For more complex data structures like videos and medical images (DICOM), Supervisely applies the same principles of integration and GUI enhancement to mitigate even more severe fragmentation and usability issues.

## Deploy an Agent

Before you start training or running neural networks, you would need to connect your PC or a cloud server with GPU to Supervisely by running a simple command in your terminal. That will allow you to train neural networks and run inference right from the Supervisely web interface. You can find information on how to do this [here.](https://github.com/supervisely/docs/blob/master/neural-networks/getting-started/connect-your-computer/README.md)

{% embed url="<https://www.youtube.com/watch?v=aO7Zc4kTrVg&ab_channel=Supervisely>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supervisely.com/neural-networks/legacy/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
